Package org.h2.command.dml

# Class MergeUsing.When

java.lang.Object
org.h2.command.dml.MergeUsing.When

All Implemented Interfaces:
  `HasSQL`

Direct Known Subclasses:
  `MergeUsing.WhenMatchedThenDelete`, `MergeUsing.WhenMatchedThenUpdate`, `MergeUsing.WhenNotMatched`

Enclosing class:
  `MergeUsing`

public abstract class MergeUsing.When extends Object implements HasSQL
Abstract WHEN command of the MERGE statement.

## Field Summary

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

## Method Summary

Modifier and Type
Method
Description
`StringBuilder`
`getSQL(StringBuilder builder, int sqlFlags)`
Appends the SQL statement of this object to the specified builder.
`void`
`setAndCondition(Expression andCondition)`
Sets the specified AND condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getSQL, getTraceSQL`

## Method Details

### setAndCondition

public void setAndCondition(Expression andCondition)
Sets the specified AND condition.

Parameters:
  `andCondition` - AND condition to set

### getSQL

public StringBuilder getSQL(StringBuilder builder, int sqlFlags)
Description copied from interface: `HasSQL`
Appends the SQL statement of this object to the specified builder.

Specified by:
  `getSQL` in interface `HasSQL`
Parameters:
  `builder` - string builder
  `sqlFlags` - formatting flags
Returns:
  the specified string builder